<template>
  <list-layout>
    <div class="components-demo-wrap">
      <date-picker v-model="filters.dateTime" />
    </div>
    <div class="components-demo-wrap">
      <date-range-picker v-model="filters.dateRange" />
    </div>
    <template slot="filterItem">
      <el-button
        type="primary"
        @click="showInfoDialog"
      >信息点击</el-button>

      <el-button
        type="primary"
        @click="showCheckDialog"
      >确认框点击</el-button>

      <el-button
        type="primary"
        @click="showSuccessDialog"
      >成功框</el-button>
    </template>
  </list-layout>
</template>

<script>
import Vue from 'vue';
import { Button } from 'element-ui';

Vue.component(Button.name, Button);

export default {
  name: 'DialogPage',
  data() {
    return {
      filters: {},
    };
  },
  methods: {
    showcheck() {
      this.$mdAlert.info('内层弹窗');
    },
    showInfoDialog() {
      this.$mdAlert.info('dasd');
    },
    showCheckDialog() {
      this.$mdAlert.confirm(
        <div class="im">
          adsasd<i class="ImportentText"> 51</i>sss
        </div>
      );
    },
    showSuccessDialog() {
      this.$mdAlert.success('success');
    },
  },
};
</script>
